property pOverName, pOverSoundName

on getPropertyDescriptionList me
  list = [:]
  addProp(list, #pOverName, [#comment: "Over string added to member name:", #format: #string, #default: "over"])
  addProp(list, #pOverSoundName, [#comment: "Over sound string added to member:", #format: #string, #default: EMPTY])
  return list
end

on getBehaviorDescription me
  desc = EMPTY
  put "Determines the member that will be shown and the" & RETURN after desc
  put "sound that will be played when the sprite is" & RETURN after desc
  put "rolled over with the mouse." after desc
  return desc
end

on mouseEnter me
  if pOverSoundName <> EMPTY then
    soundName = sprite(me.spriteNum).member.name && pOverSoundName
    puppetSound(soundName)
  end if
  sprite(me.spriteNum).member = sprite(me.spriteNum).member.name && pOverName
end

on mouseLeave me
  myName = sprite(me.spriteNum).member.name
  nameLength = length(myName)
  additionLength = length(pOverName)
  firstName = chars(myName, 1, nameLength - additionLength - 1)
  sprite(me.spriteNum).member = firstName
end
